Subject: bug#39925: `guix pull` failure in multi-machine setup

From: Lars-Dominik Braun <[email-masked]>
Date: Tue, 10 Mar 2020 08:19:01 +0100

Hey Ludo,

> For #2, we would need to do something like Jakub did in (guix scripts
> system reconfigure), where the effectul bits can be transparently
> evaluated either locally or remotely.
I don’t understand why #2 needs different mechanics. As I said, /var/guix is
mounted r/w on every machine and in fact `guix package -i` is working as
intended.

Maybe we’ve got a communication issue here and we’re talking about two
different things?

Lars